#include <bits/stdc++.h>
#include <map>
using namespace std;
int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
     map <int,int> m;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        m[a[i]]++;
    }
    map<int,int>::iterator itr;
    int br=0;
    int b[n];
    for(itr=m.begin();itr!=m.end();itr++)
    {
      if(itr->second>=k){
        b[br]=itr->first;
        br++;
      }
    }
    cout<<br<<'\n';
    for(int i=0;i<br;i++)
        cout<<b[i]<<" ";
}